SDL_HINT_EMSCRIPTEN_KEYBOARD_ELEMENT(3)

NAME
SDL_HINT_EMSCRIPTEN_KEYBOARD_ELEMENT - Override the binding element for keyboard inputs for Emscripten builds.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_EMSCRIPTEN_KEYBOARD_ELEMENT   SDL_EMSCRIPTEN_KEYBOARD_ELEMENT"

DESCRIPTION
This hint only applies to the emscripten platform. The variable can be one of: • "#window": the javascript window object (default) • "#document": the javascript document object • "#screen": the javascript window.screen object • "#canvas": the WebGL canvas element • any other string without a leading # sign applies to the element on the
  page with that ID. This hint should be set before creating a window.

AVAILABILITY
This hint is available since SDL 3.0.0.